#ifndef VDR_MEDIAD_SETUP_H
#define VDR_MEDIAD_SETUP_H

#include <vdr/plugin.h>
#include "mediaplugin.h"
#include <vector>

struct cMediadSetup {
	cMediadSetup(void);
	cMediadSetup(const cMediadSetup &setup);
	cMediadSetup& operator=(const cMediadSetup &setup);
	bool SetupParse(const char *Name, const char *Value);
	cList<mediaplugin> mediaplugins;
	int HideMenu;
};

extern cMediadSetup MediadSetup;

class cMediadMenuSetupPage: public cMenuSetupPage {
private:
	cMediadSetup _setup;
	
protected:
	virtual void Store(void);

public:
	cMediadMenuSetupPage(void);
	virtual ~cMediadMenuSetupPage();
};

#endif // VDR_MEDIAD_SETUP_H
